package cpcns.timesheet.job;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import cpcns.base.common.AppContextUtils;
import cpcns.base.configuration.AppConfiguration;
import cpcns.daorudaochu.service.IDaoRuDaoChuServiceUtils;
import cpcns.gongyongzujian.dianzidangan.util.FuJianPathUtils;
import cpcns.utils.CommStatic;
import cpcns.utils.DangAnZhengLiUtil;
import cpcns.utils.StringUtil;
import java.io.File;
import java.util.List;
import org.apache.commons.lang.StringUtils;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

@Component
public class SheetTimeScanning {
  @Scheduled(cron = "0 55 23 ? * MON-FRI")
  public void synDeleteFilePath() {
    try {
      IDaoRuDaoChuServiceUtils daoRuDaoChuServiceImplUtils = (IDaoRuDaoChuServiceUtils)AppContextUtils.getBean("daoRuDaoChuServiceImplUtils");
      List<String> list = daoRuDaoChuServiceImplUtils.getRuKuS();
      DangAnZhengLiUtil.deleteFile("filePrint");
      CommStatic.deleteDir(new File(StringUtil.dealBasePath("/opt/CPCNS_WeiHai/upload_dir")));
      CommStatic.deleteDir(new File(StringUtil.dealBasePath(String.valueOf(AppConfiguration.getConfigValue("OACaiJiPath")) + File.separatorChar + "temp")));
      CommStatic.deleteDir(new File(StringUtil.dealBasePath(String.valueOf(AppConfiguration.getConfigValue("DangAnYuanWenPath")) + File.separatorChar + "temp")));
      System.out.println("需要删除的登记登记单号个数据=================" + list.size());
      if (list != null && list.size() > 0)
        for (int t = 0; t < list.size(); t++)
          CommStatic.deleteDir(new File(StringUtil.dealBasePath(String.valueOf(AppConfiguration.getConfigValue("DangAnYuanWenPath")) + File.separatorChar + "templatePath" + File.separatorChar + "DaoRu" + File.separatorChar + (String)list.get(t))));  
      String fujian_temp = FuJianPathUtils.obtainCiPanPath("temp");
      CommStatic.deleteDir(new File(fujian_temp));
      String dfps = AppConfiguration.getConfigValue("DELETEFILEPATHS");
      if (StringUtils.isNotBlank(dfps)) {
        String[] dfp = dfps.split(";");
        for (int i = 0; i < dfp.length; i++)
          CommStatic.deleteDir(new File(StringUtil.dealBasePath(dfp[i]))); 
      } 
    } catch (Exception e) {
      e.printStackTrace();
    } 
  }
}
